-- TEST: window11
-- SQL:
DROP TABLE IF EXISTS ttt;
CREATE TABLE ttt(a INTEGER PRIMARY KEY, b INTEGER, c INTEGER);
INSERT INTO ttt VALUES(1, 1, 1);
INSERT INTO ttt VALUES(2, 2, 2);
INSERT INTO ttt VALUES(3, 3, 3);
INSERT INTO ttt VALUES(4, 1, 2);
INSERT INTO ttt VALUES(5, 2, 3);
INSERT INTO ttt VALUES(6, 3, 4);
INSERT INTO ttt VALUES(7, 1, 3);
INSERT INTO ttt VALUES(8, 2, 4);
INSERT INTO ttt VALUES(9, 3, 5);

-- TEST: window11-4.1
-- SQL:
SELECT max(c), max(b) OVER (ORDER BY b) FROM ttt GROUP BY b;
-- EXPECTED:
3, 1, 4, 2, 5, 3

-- TEST: window11-4.2
-- SQL:
SELECT max(b) OVER (ORDER BY max(c)) FROM ttt GROUP BY b;
-- EXPECTED:
1, 2, 3

-- TEST: window11-4.4
-- SQL:
SELECT sum(b) OVER (
ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING
) FROM ttt;
-- EXPECTED:
18, 17, 15, 12, 11, 9, 6, 5, 3

-- TEST: window11-4.5.1.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 1, 3, 2, 4, 3, 3, 1, 4, 2, 5, 3

-- TEST: window11-4.5.1.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 3, 5, 5, 7, 7, 6, 6, 9, 9, 12, 12

-- TEST: window11-4.5.2.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.2.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 2, 5, 3, 7, 4, 6, 3, 9, 4, 12, 5

-- TEST: window11-4.5.3.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER ( ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 1, 3, 1, 2, 1, 3, 1, 4, 1, 3, 1, 4, 1, 5, 1

-- TEST: window11-4.5.3.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER ( ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 3, 3, 6, 3, 8, 5, 11, 7, 15, 6, 18, 9, 22, 12, 27

-- TEST: window11-4.5.4.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.4.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 2, 5, 3, 7, 4, 6, 3, 9, 4, 12, 5

-- TEST: window11-4.5.5.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 1, 3, 2, 4, 3, 3, 1, 4, 2, 5, 3

-- TEST: window11-4.5.5.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 3, 3, 5, 4, 7, 3, 6, 4, 9, 5, 12

-- TEST: window11-4.5.6.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.6.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.7.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 1, 3, 1, 2, 1, 3, 1, 4, 1, 3, 1, 4, 1, 5, 1

-- TEST: window11-4.5.7.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 3, 3, 6, 2, 8, 3, 11, 4, 15, 3, 18, 4, 22, 5, 27

-- TEST: window11-4.5.8.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.8.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.9.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER ( ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 1, 3, 2, 4, 3, 4, 1, 4, 2, 5, 3

-- TEST: window11-4.5.9.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 3, 2, 6, 3, 8, 3, 11, 5, 15, 7, 18, 6, 22, 9, 27, 12

-- TEST: window11-4.5.10.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 2, 3, 3, 4, 4, 4, 3, 4, 4, 5, 5

-- TEST: window11-4.5.10.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 3, 2, 6, 3, 8, 2, 11, 3, 15, 4, 18, 3, 22, 4, 27, 5

-- TEST: window11-4.5.11.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 1, 3, 1, 3, 1, 3, 1, 4, 1, 4, 1, 4, 1, 5, 1

-- TEST: window11-4.5.11.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 3, 3, 6, 6, 8, 8, 11, 11, 15, 15, 18, 18, 22, 22, 27, 27

-- TEST: window11-4.5.12.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 2, 3, 3, 4, 4, 4, 3, 4, 4, 5, 5

-- TEST: window11-4.5.12.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 3, 2, 6, 3, 8, 2, 11, 3, 15, 4, 18, 3, 22, 4, 27, 5

-- TEST: window11-4.5.13.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 1, 3, 2, 4, 3, 3, 1, 4, 2, 5, 3

-- TEST: window11-4.5.13.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 3, 3, 5, 4, 7, 3, 6, 4, 9, 5, 12

-- TEST: window11-4.5.14.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.14.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b, a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.15.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER ( ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 1, 3, 1, 2, 1, 3, 1, 4, 1, 3, 1, 4, 1, 5, 1

-- TEST: window11-4.5.15.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 3, 3, 6, 2, 8, 3, 11, 4, 15, 3, 18, 4, 22, 5, 27

-- TEST: window11-4.5.16.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.16.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY a ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 2, 3, 3, 4, 4, 3, 3, 4, 4, 5, 5

-- TEST: window11-4.5.17.1
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 1, 3, 2, 4, 3, 3, 1, 4, 2, 5, 3

-- TEST: window11-4.5.17.2
-- SQL:
SELECT COL_1, COL_2 FROM (
  SELECT
  a,
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
  sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
  FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 3, 3, 5, 5, 7, 7, 6, 6, 9, 9, 12, 12

-- TEST: window11-4.5.18.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1, 1, 2, 2, 3, 3, 2, 1, 3, 2, 4, 3, 3, 1, 4, 2, 5, 3

-- TEST: window11-4.5.18.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1, 6, 2, 9, 3, 12, 3, 6, 5, 9, 7, 12, 6, 6, 9, 9, 12, 12

-- TEST: window11-4.5.19.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.19.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
3,
2,
5,
3,
7,
4,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.20.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.20.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
3,
5,
5,
7,
7,
9,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.21.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.21.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
6,
3,
9,
5,
12,
7,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.22.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.22.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.23.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.23.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
6,
2,
9,
3,
12,
4,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.24.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.24.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
6,
5,
9,
7,
12,
9,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.25.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.25.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
3,
3,
5,
4,
7,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.26.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.26.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
2,
6,
3,
9,
4,
12,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.27.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.27.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.28.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.28.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
2,
5,
3,
7,
4,
9,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.29.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.29.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
5,
3,
7,
5,
9,
7,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.30.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.30.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
5,
6,
7,
9,
9,
12,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.31.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.31.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
5,
2,
7,
3,
9,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.32.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.32.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
5,
5,
7,
7,
9,
9,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.33.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.33.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
3,
5,
5,
7,
7,
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.34.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.34.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
6,
5,
9,
7,
12,
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.35.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
2,
NULL,
3,
NULL,
4,
NULL,
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4

-- TEST: window11-4.5.35.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
NULL,
5,
NULL,
7,
NULL,
6,
1,
9,
2,
12,
3,
6,
2,
9,
3,
12,
4

-- TEST: window11-4.5.36.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
2,
NULL,
3,
NULL,
4,
NULL,
3,
NULL,
4,
NULL,
5,
NULL,
3,
NULL,
4,
NULL,
5,
NULL

-- TEST: window11-4.5.36.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
NULL,
5,
NULL,
7,
NULL,
6,
NULL,
9,
NULL,
12,
NULL,
6,
NULL,
9,
NULL,
12,
NULL

-- TEST: window11-4.5.37.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5,
3,
NULL,
4,
NULL,
5,
NULL

-- TEST: window11-4.5.37.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
5,
5,
7,
7,
9,
6,
3,
9,
4,
12,
5,
6,
NULL,
9,
NULL,
12,
NULL

-- TEST: window11-4.5.38.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.38.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
3,
9,
5,
12,
7,
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.39.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.39.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.40.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
NULL,
4,
NULL,
5,
NULL,
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4

-- TEST: window11-4.5.40.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
NULL,
9,
NULL,
12,
NULL,
6,
1,
9,
2,
12,
3,
6,
2,
9,
3,
12,
4

-- TEST: window11-4.5.41.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
NULL,
4,
NULL,
5,
NULL,
3,
NULL,
4,
NULL,
5,
NULL,
3,
NULL,
4,
NULL,
5,
NULL

-- TEST: window11-4.5.41.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
NULL,
9,
NULL,
12,
NULL,
6,
NULL,
9,
NULL,
12,
NULL,
6,
NULL,
9,
NULL,
12,
NULL

-- TEST: window11-4.5.42.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5,
3,
NULL,
4,
NULL,
5,
NULL

-- TEST: window11-4.5.42.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
5,
9,
7,
12,
9,
6,
3,
9,
4,
12,
5,
6,
NULL,
9,
NULL,
12,
NULL

-- TEST: window11-4.5.43.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
1,
NULL,
2,
NULL,
3,
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3

-- TEST: window11-4.5.43.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
3,
NULL,
5,
NULL,
7,
1,
6,
2,
9,
3,
12,
2,
6,
3,
9,
4,
12

-- TEST: window11-4.5.44.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
1,
NULL,
2,
NULL,
3,
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3

-- TEST: window11-4.5.44.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
6,
NULL,
9,
NULL,
12,
1,
6,
2,
9,
3,
12,
2,
6,
3,
9,
4,
12

-- TEST: window11-4.5.45.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4

-- TEST: window11-4.5.45.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4

-- TEST: window11-4.5.46.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
2,
NULL,
3,
NULL,
4,
NULL

-- TEST: window11-4.5.46.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
2,
NULL,
3,
NULL,
4,
NULL

-- TEST: window11-4.5.47.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
2,
NULL,
3,
NULL,
4,
1,
3,
2,
4,
3,
5,
2,
NULL,
3,
NULL,
4,
NULL

-- TEST: window11-4.5.47.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
5,
NULL,
7,
NULL,
9,
1,
3,
2,
4,
3,
5,
2,
NULL,
3,
NULL,
4,
NULL

-- TEST: window11-4.5.48.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
1,
NULL,
2,
NULL,
3

-- TEST: window11-4.5.48.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
3,
NULL,
5,
NULL,
7,
NULL,
6,
NULL,
9,
NULL,
12,
NULL,
6,
NULL,
9,
NULL,
12

-- TEST: window11-4.5.49.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
1,
NULL,
2,
NULL,
3

-- TEST: window11-4.5.49.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
6,
NULL,
9,
NULL,
12,
NULL,
6,
NULL,
9,
NULL,
12,
NULL,
6,
NULL,
9,
NULL,
12

-- TEST: window11-4.5.50.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
2,
NULL,
3,
NULL,
4

-- TEST: window11-4.5.50.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
1,
NULL,
2,
NULL,
3,
NULL,
2,
NULL,
3,
NULL,
4

-- TEST: window11-4.5.51.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.51.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.52.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
2,
NULL,
3,
NULL,
4,
NULL,
3,
NULL,
4,
NULL,
5,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.52.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
NULL,
5,
NULL,
7,
NULL,
9,
NULL,
3,
NULL,
4,
NULL,
5,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.53.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
NULL,
1,
NULL,
2,
NULL,
3

-- TEST: window11-4.5.53.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 1 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
5,
3,
7,
5,
9,
7,
3,
6,
4,
9,
5,
12,
NULL,
6,
NULL,
9,
NULL,
12

-- TEST: window11-4.5.54.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
NULL,
1,
NULL,
2,
NULL,
3

-- TEST: window11-4.5.54.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 3 PRECEDING AND 2 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
5,
6,
7,
9,
9,
12,
3,
6,
4,
9,
5,
12,
NULL,
6,
NULL,
9,
NULL,
12

-- TEST: window11-4.5.55.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
NULL,
4,
NULL,
5,
NULL,
3,
1,
4,
2,
5,
3,
NULL,
2,
NULL,
3,
NULL,
4

-- TEST: window11-4.5.55.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
5,
NULL,
7,
NULL,
9,
NULL,
3,
1,
4,
2,
5,
3,
NULL,
2,
NULL,
3,
NULL,
4

-- TEST: window11-4.5.56.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
NULL,
4,
NULL,
5,
NULL,
3,
NULL,
4,
NULL,
5,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.56.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 0 PRECEDING AND 1 PRECEDING)
FROM ttt ORDER BY a
)
-- EXPECTED:
5,
NULL,
7,
NULL,
9,
NULL,
3,
NULL,
4,
NULL,
5,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.57.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
min(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.57.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING),
sum(c) OVER (PARTITION BY b ORDER BY a ROWS BETWEEN 1 FOLLOWING AND 500 FOLLOWING)
FROM ttt ORDER BY a
)
-- EXPECTED:
5,
5,
7,
7,
9,
9,
3,
3,
4,
4,
5,
5,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL

-- TEST: window11-4.5.58.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.58.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
3,
3,
5,
5,
7,
7,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.59.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.59.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
3,
5,
5,
7,
7,
9,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.60.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.60.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
3,
6,
5,
9,
7,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.61.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.61.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
3,
3,
5,
5,
7,
7,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.62.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.62.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
5,
3,
7,
5,
9,
7,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.63.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.63.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
5,
5,
7,
7,
9,
9,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.64.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.64.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
5,
6,
7,
9,
9,
12,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.65.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.65.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
5,
3,
7,
5,
9,
7,
3,
6,
4,
9,
5,
12

-- TEST: window11-4.5.66.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.66.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
6,
3,
9,
5,
12,
7,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.67.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
2,
4,
3,
5,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.67.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
6,
5,
9,
7,
12,
9,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.68.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.68.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.69.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.69.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
6,
1,
9,
2,
12,
3,
6,
3,
9,
5,
12,
7,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.70.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.70.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
3,
3,
5,
5,
7,
7,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.71.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
2,
3,
3,
4,
4,
3,
3,
4,
4,
5,
5

-- TEST: window11-4.5.71.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY a DESC RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
3,
5,
5,
7,
7,
9,
6,
3,
9,
4,
12,
5

-- TEST: window11-4.5.72.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.72.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b
RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
6,
2,
9,
3,
12,
3,
6,
5,
9,
7,
12,
6,
6,
9,
9,
12,
12

-- TEST: window11-4.5.73.1
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
max(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
min(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
2,
1,
3,
2,
4,
3,
3,
1,
4,
2,
5,
3

-- TEST: window11-4.5.73.2
-- SQL:
SELECT COL_1, COL_2 FROM (
SELECT
a,
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW),
sum(c) OVER (PARTITION BY b ORDER BY b, a RANGE BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW)
FROM ttt ORDER BY a
)
-- EXPECTED:
1,
1,
2,
2,
3,
3,
3,
3,
5,
5,
7,
7,
6,
6,
9,
9,
12,
12
