Date: 23-05-2022

Tag: 0.1.20

## Compatibility

VShard 0.1.20 is fully compatible with the previous VShard versions. But since
this release VShard supports only Tarantool >= 1.10.1.

## Functionality added or changed

* The configuration option `collect_lua_garbage` is deprecated. Now it doesn't
  do anything except printing a warning in the logs that it should not be used.

* The router now supports `msgpack.object` feature. It can be passed to all
  `vshard.router.call...()` and `.map_call...()` functions. They can also accept
  the netbox option `return_raw` to get an msgpack object in return (gh-312).

* The URIs in the config now support everything what can be passed to
  `box.cfg.listen` and `netbox.connect()`: number, string, table. There is also
  a new config option - `<replica_object>.listen`. It can be used to setup
  listen on multiple ports on storages and for SSL in Tarantool Enterprise
  (gh-325).

## Bugs fixed

* Fixed a bug when router could raise a Lua exception about `vshard.error` being
  not defined if a storage was disabled (implicitly or via
  `vshard.storage.disable()`).

* Fixed a bug when router could raise a Lua exception about `master_uuid`
  variable being not defined when `master='auto'` feature was used.

* Fixed a bug when usage of `memtx_use_mvcc_engine` option in `box.cfg` could
  make bucket garbage collector not work. As a result, rebalancing also could
  stop working and there could be `'garbage'` and `'sent'` buckets visible in
  the monitoring (gh-314).
